org.jedit.io

## Class Native2ASCIIEncoding

- java.lang.Object
- - org.jedit.io.Native2ASCIIEncoding

All Implemented Interfaces:
  Encoding

    public class Native2ASCIIEncoding
    extends java.lang.Object
    implements Encoding

ISO-8859-1 with unicode escapes as e. g. needed for http://download.oracle.com/javase/6/docs/api/java/util/Properties.html

Since:
  5.1pre1

### Constructor Summary

Constructors
Constructor and Description
`Native2ASCIIEncoding()`

### Method Summary

Methods
`java.io.Reader` `getPermissiveTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
`java.io.Reader` `getTextReader(java.io.InputStream in)` Map an InputStream to a Reader.
`java.io.Writer` `getTextWriter(java.io.OutputStream out)` Map an OutputStream to a Writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Native2ASCIIEncoding

    public Native2ASCIIEncoding()

### Method Detail

#### getTextReader

    @Nonnull
    public java.io.Reader getTextReader(@Nonnull
                                       java.io.InputStream in)
                                 throws java.io.IOException

Description copied from interface: `Encoding`
Map an InputStream to a Reader. Decode-error while reading from this Reader should be reported by throwing an IOException.

Specified by:
  `getTextReader` in interface `Encoding`
Throws:
  `java.io.IOException`

#### getTextWriter

    @Nonnull
    public java.io.Writer getTextWriter(@Nonnull
                                       java.io.OutputStream out)
                                 throws java.io.IOException

Description copied from interface: `Encoding`
Map an OutputStream to a Writer. Encode-error while writing to this Writer should be reported by throwing an IOException.

Specified by:
  `getTextWriter` in interface `Encoding`
Throws:
  `java.io.IOException`

#### getPermissiveTextReader

    @Nonnull
    public java.io.Reader getPermissiveTextReader(@Nonnull
                                                 java.io.InputStream in)
                                           throws java.io.IOException

Description copied from interface: `Encoding`
Map an InputStream to a Reader. Decode-error while reading from this Reader should be ignored or replaced.

Specified by:
  `getPermissiveTextReader` in interface `Encoding`
Throws:
  `java.io.IOException`